**Source URL:** https://limited.veevavault.dev/clinical/vault-api/api-reference/24.3/vault-objects/attachment-fields/download-attachment-field-file.md

# Download Attachment Field File



Download the specified *Attachment* field file from an object record.

<Endpoint path="/api/{version}/vobjects/{object_name}/{object_record_id}/attachment_fields/{attachment_field_name}/file" method="GET"></Endpoint>

## Headers {#headers}

<FieldTable>
| Name | Description |
| --- | --- |
| `Accept` | `application/json` (default) or `application/xml` |
</FieldTable>

## URI Path Parameters {#uri-path-parameters}

<FieldTable>
| Name | Description |
| --- | --- |
| `{object_name}` | The object `name__v` field value. For example, `product__v`. |
| `{object_record_id}` | The object record `id` field value. |
| `{attachment_field_name}` | The name of the *Attachment* field from which to retrieve the file. |
</FieldTable>

## Request {#request}

<CodeExample title="">
```
curl -X GET -H "Authorization: {SESSION_ID}" \
https://myvault.veevavault.com/api/v24.3/vobjects/product__v/00P000000000202/attachment_fields/file__c/file

```
</CodeExample>

## Response Headers {#response-headers}

<CodeExample title="">
```
Content-Type: application/pdf;charset=UTF-8
Content-Disposition: attachment;filename="file.pdf"

```
</CodeExample>

## Response Details {#response-details}

On `SUCCESS`, Vault retrieves the file from the specified *Attachment* field from the object record. The file name is the same as the *Attachment* field file name.

The HTTP Response Header `Content-Type` is set to the MIME type of the file. For example, if the file is a PNG image, the `Content-Type` is `image/png`. If we cannot detect the MIME file type, `Content-Type` is set to `application/octet-stream`. The HTTP Response Header `Content-Disposition` contains a filename component which can be used when naming the local file. When downloading files with very small file size, the HTTP Response Header `Content-Length` is set to the size of the file. For most *Attachment* fields (larger file sizes), the `Transfer-Encoding` method is set to `chunked` and the `Content-Length` is not displayed.



---

**Previous:** [Attachment Fields](/clinical/vault-api/api-reference/24.3/vault-objects/attachment-fields)  
**Next:** [Download All Attachment Field Files](/clinical/vault-api/api-reference/24.3/vault-objects/attachment-fields/download-all-attachment-field-files)